#
# Note: These options are applied when the journal and the triple store are
# first created.

##
## Journal options.
##

# The backing file.
com.bigdata.journal.AbstractJournal.file=/data2/bigdata.jnl

# The persistence engine.  Use 'Disk' for the WORM or 'DiskRW' for the RWStore.
com.bigdata.journal.AbstractJournal.bufferMode=DiskRW

com.bigdata.btree.writeRetentionQueue.capacity=4000
com.bigdata.btree.BTree.branchingFactor=128

# Bump up the branching factor for the statement indices on the default kb.
com.bigdata.namespace.kb.spo.com.bigdata.btree.BTree.branchingFactor=400
# Bump up the branching factor for the lexicon indices on the default kb.
com.bigdata.namespace.kb.lex.com.bigdata.btree.BTree.branchingFactor=1024

# 200M initial extent.
com.bigdata.journal.AbstractJournal.initialExtent=209715200
com.bigdata.journal.AbstractJournal.maximumExtent=209715200

##
## Setup for QUADS mode without the full text index.
##
com.bigdata.rdf.sail.truthMaintenance=false
com.bigdata.rdf.store.AbstractTripleStore.quads=false
com.bigdata.rdf.store.AbstractTripleStore.statementIdentifiers=false
com.bigdata.rdf.store.AbstractTripleStore.textIndex=false
com.bigdata.rdf.store.AbstractTripleStore.axiomsClass=com.bigdata.rdf.axioms.NoAxioms
#com.bigdata.rdf.store.AbstractTripleStore.inlineDateTimes=true

com.bigdata.rdf.sail.BigdataSail.bufferCapacity=100000 
com.bigdata.btree.BTree.branchingFactor=256 
com.bigdata.rdf.store.AbstractTripleStore.bloomFilter=false 
com.bigdata.rdf.store.AbstractTripleStore.termidBitsToReverse=0 
com.bigdata.rdf.store.AbstractTripleStore.quads=false 
com.bigdata.rdf.store.AbstractTripleStore.forceOnCommit=no
com.bigdata.rdf.store.AbstractTripleStore.vocabularyClass=com.bigdata.rdf.vocab.NoVocabulary
